InventoryLock | NoDrop/NoMove, Lightweight, Great for Hubs 2.0.7

Prevent inventory activity with the simple, lightweight InventoryLock

  1. DarkSoldier
    Native Minecraft Version:
    1.17
    Tested Minecraft Versions:
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    Ideal for Hub Servers! :)

    In the Works:

    • Lock specific slots

    Are you tired of players moving items in their inventories in the lobby/hub? Well this plugin is perfect for you. InventoryLock prevents players from dropping items, swapping into their offhand, and interacting with their inventory in any way. The plugin makes use of a config file that allows server admins to enable the lock in specific worlds.

    This plugin does not have any in-game commands.

    Usage
    1. Edit the config.yml that automatically generates on server startup.
    2. In enabled-worlds field, enter name(s) of world(s) that should have the lock enabled.
    Do not enter an empty list, non-existent world name is accepted.

    Permissions
    - invlock.bypass
    Enables user to bypass inventory lock(in all worlds) and interact with inventory items

    Config.YML
    Code (Text):
    enabled-worlds:
        - world
    Espectro_30 and Emekuber like this.

Recent Reviews

  1. lordamani
    lordamani
    3/5,
    Version: 2.0.5
    I downloaded it but when I restart my server, the config file comes back to the default file. So isn't working for me. I'm using Paper 1.16.3
    1. DarkSoldier
      Author's Response
      Just posted an update. Let me know how it works.
  2. ChristianNM
    ChristianNM
    1/5,
    Version: 2.0.5
    Downloaded the latest version and every time i change the worlds and reload the server, it goes back to the one world named "world"
    1. DarkSoldier
      Author's Response
      Just posted an update, give it a try.
  3. Adi2017
    Adi2017
    5/5,
    Version: 2.0.5
    Very nice plugin for Hubs, can't wait for the Slot Lock feature.. Never had a issue with it on my 1.12.2 Hub. Permissions works fine. 5/5
    1. DarkSoldier
      Author's Response
      Thanks for the review. Individual slot targeting will be coming soon!
  4. Teh_Matt_GR
    Teh_Matt_GR
    1/5,
    Version: 2.0.4
    Downloaded the latest version and every time i change the worlds and reload the server, it goes back to the one world named "world"
    1. DarkSoldier
      Author's Response
      Apologies for the delay. The latest update has a fix for this issue.
  5. Scroojalix
    Scroojalix
    5/5,
    Version: 2.0.4
    Great plugin. Super simple to use. I have tested it and this plugin works in 1.15.2.
  6. ThatOverPowered
    ThatOverPowered
    5/5,
    Version: 2.0.4
    Actually works really good, but can u add the option to specify the items to be locked?
    1. DarkSoldier
      Author's Response
      Thanks for the review. You mean specify the item to lock or specify a slot to lock?
  7. superblaze27
    superblaze27
    3/5,
    Version: 2.0.2
    3 stars because I've used it before and it works like a charm, but this does not work on spigot 1.12.2.
    My version:
    This server is running Akarin version git-Akarin-"679236c" (MC: 1.12.2) (Implementing API version 1.12.2-R0.1-SNAPSHOT)
    It doesn't work and nor does 2.0 and up. Any version below loads, but does not prevent players from dropping items.
    Please fix! It hurts to give a 3 star rating!
  8. stef.geerinckx
    stef.geerinckx
    1/5,
    Version: 2.0.2
    This plugin dont works with 1.12.2 ... the plugin wont show up sadly enough becouse i need this plugin for my server ....
    1. DarkSoldier
      Author's Response
      I have tested successfully with the latest v1.12.2 downloaded straight from BuildTools. You can check your version with /version. I recommend recompiling BuildTools to update your server jar.
  9. RaceShafter
    RaceShafter
    1/5,
    Version: 2.0.1
    I am using spigot 1.12.2 and when I put this plugin in my plugins folder and start the server nothing happen. There is no plugin named InventoryLock. So 1 Star for my timewasting.
    1. DarkSoldier
      Author's Response
      I have updated the plugin. Let me know how it works.
  10. XtremePlugins
    XtremePlugins
    5/5,
    Version: 2.0.1
    Very good plugin! It works perfectly.

    *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*